



	<script>
	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/salesorder";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
 
 <style type="text/css">
      #myprint { display: none; }
  
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		height:auto;
		
		
    }
  #rcorners {

    border-collapse:separate;
    border:solid black 1px;
    border-radius:6px;
    -moz-border-radius:6px;
	   border-left:solid black 1px;


  }
  

    #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;10px;

    width:100%; height:50px;



}
.doted{
    border: dotted 3px #000000;
}
table { border-collapse: collapse; }
td { padding: 5px; }
#maintable tr { border-bottom:0px dashed #494949; padding:5px;}


table{
    border-collapse:collapse;/*This property collapses borders together*/
}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
#myalltitle { font-size: 2em; }
#alltitle{ font-size: 1em; }
	#mytitle { font-size: 1.4em; }

    
    {
		
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:10; width:100%; }
		  margin:0; 
		#receipt{
	font-style: normal;font-size: 1.5em;
	
	padding:0px;
	
}
    }
	
	
	#rcorner{

    border-collapse:separate;
    border:solid black 1px;
    border-radius:6px;
    -moz-border-radius:6px;
	   border-left:solid black 1px;


  }


#rcornersinvoice {

    border-collapse:separate;
    border:solid black 1px;
    border-radius:6px;
    -moz-border-radius:6px;
	   border-left:solid black 1px;


  }

#rcorners {

    border-collapse:separate;
    border:solid white 1px;

	   border-left:solid white 1px;


  }
    </style>
<?PHP
								$profile = $this->usermodel->populateallarray('smsconfig','id',$companyid);

									$photo=$profile[0]['logo'];
									$img=$profile[0]['logo'];
									$hscode=$profile[0]['hscode'];
										$receiptlogo=$profile[0]['receiptlogo'];

									
 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);

					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
	
  
        	
			
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
					
						<tr>
						<td colspan="2" valign="top">
						
					
<?php
$img1='uploads/';
	//$url = base_url().$img1.$img;
	
	if($receiptlogo=="yesbranch") {
					 $allbranches= $this->usermodel->populateallarray('branch','id',$branchid);
					$branchlogo=$allbranches[0]['logo']; 
											
				
					$url = base_url().$img1.$branchlogo;

			}else{
									$url = base_url().$img1.$img;


			}

	
if($photo!=""){

	
	
	
	
	
	
	
	
	
	
	
	?>
	
 <div>

<img class="img-circle" src="<?php echo $url ?>" height="150" width="200" style="border-radius:1px;margin:0px  ">		 

</div>
<?php
 
 }
 ?>

 

						
						
						
						
						
						
						
						
						
							<?php $customer=$viewreceipt[0]['supplier'];

						 if(($customer!=0)||($customer!="")){
							
							
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						echo$comments=$mysupplier[0]['company'];
						
						 }  
						
						
							 
						 
							?>
						
						
						
						
						
						

						
						
						</td>
						
						<td colspan="4" valign="top">
					<h2>SALES ORDER	</h2>
					
<br><br>
						 Date:  <?php echo$viewreceipt[0]['createdate'];?><BR>
						Sales Order No: <?php echo$viewreceipt[0]['ordernumber'];?><BR>

						Ref No:  <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?><BR></H3>
						</td>
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3">
						<B>Order To:</B><br>
					
											
						
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	

								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<!--<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;  ">		 -->

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
						
						
				
						<?php $description=$configuration[0]['businessname']; if(isset($description)) {echo   $description; }?>
							
						
						
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3">
						<B>Shipping To:</B><br>
	 <?php echo$viewreceipt[0]['shippingto'];?><BR>
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%; border-bottom: none;" id="maintable" >

								<tr class="heading">
							

							<td><b>From Date</b></td>
								<td><b>Due Date</b></td>
								<td><b>Ordered By</b></td>
								<td><b>Shipped Via</b></td>
								<td><b>F.O.B</b></td>
									<td><b>Terms</b></td>

							</tr>
							
							<tr>
							

							<td><?php echo$viewreceipt[0]['orderdate'];?></td>
							<td><?php echo$viewreceipt[0]['canceldate'];?></td>
							<td><?php echo$viewreceipt[0]['orderedby'];?></td>
							<td><?php echo$viewreceipt[0]['deliverymethod'];?></td>
							<td><?php echo$viewreceipt[0]['fob'];?></td>
							<td><?php echo$viewreceipt[0]['terms'];?>
							
							</td>

							</tr>
						<tr>
							<td colspan="6"><br>	</td>
						</tr>
							<tr  class="heading">
							
<?php 
if($displaycode==true){
	 ?>
<td><b>Code</b></td>
<td><b>Item Name</b></td>
	 	<?php
		}else{?>
	<td colspan="2"><b>Item Name</b></td>
 <?php
 }
 ?>
 <td><b>Qty</td>
								<td><b>Disc %</b></td>
								<td><b>Price</b></td>
								<td><b>Total</b></td>
							</tr>
					
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
  $totalexemptedcost=0;
   $totaltax=0;
  	foreach ($viewsales as $c): 

		 

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 
if($displaycode==true){
	 ?>
									<td><?php echo $c->code ; ?></td>

													    <td><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" ><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
 <?php
 }
 ?>
										<td><?php echo $c->qty ; ?></td>
													<td><?php echo $c->discount ; ?></td>
										 	 <td ><?php echo $c->sprice ; ?></td>
											 	 <td><?php echo $c->amount ; 
												 $totalcost=$totalcost+$c->amount ;
												 $totaltax=$totaltax+$c->tax ;
												 $mytaxrate=$c->tax ;
												 
												 if(($mytaxrate!=0)||($mytaxrate!="")){
													 
													 $totalvatcost=$totalvatcost+$c->amount;
												 }
												  if(($mytaxrate==0)||($mytaxrate=="")){
													 
													 $totalexemptedcost=$totalexemptedcost+$c->amount;
												 }

												 ?></td>
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
			  
			  
			  
					
								<tr>
								
								<td colspan="4" rowspan="7">
								
								</td>
								
							

								
								
							
									</tr>
									
									<tr>
							
									<td><b>Sub Total:</b></td><td>	<b><?php $total=$viewreceipt[0]['amount']; if(isset($total)) {echo   formatMoney($total, true); }?></b></td>
									</tr>
									<?php 
						$display1=$configuration[0]['display1']; 
						if(	$display1=="yes"){
						
						?>
						
							

							

							
									<tr><td>TAX RATE:</td><td>	<?php $tax1rate=$configuration[0]['tax1rate']; if(isset($tax1rate)) {echo  formatMoney($tax1rate, true) ;}?>%</td>	</tr>

								<tr><td>VAT AMT:	</td><td><?php if(isset($totaltax)) {  echo formatMoney($totaltax, true) ;}?></td>	</tr>

								<tr><td>VATABLE AMT:</td><td><?php if(isset($totalvatcost)) { $vatable=($totalvatcost-$totaltax);echo formatMoney($vatable, true) ; }?></td>	</tr>

								<tr><td>EXEMPT  AMT:</td><td>	<?php if(isset($totalexemptedcost)) {  echo formatMoney($totalexemptedcost, true) ;}?></td>

								</tr>
								
								<?php
									}
									?>
								
							
							
							
						<tr>
								
								
								<td colspan="6"> 

								
								
															
															Signature:----------------------
									

							
							
							</td>
							
							</tr>
							
							
							
							
							
				
									</tbody>
									
									
					</table>
					</div>
			<div>
<?php $invoicedetails=$configuration[0]['invoicedetails']; echo$viewreceipt[0]['description']; echo "<br>";//if(isset($invoicedetails)) {echo   $invoicedetails; }?>

</div>
					
					
					
					
				</div>
			</div>
		
		
  

	<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/salesorder";
 }else{
	  //       window.location.href = "../user/allinvoices";
 
 }
});
</script>	


			
			
		
		

















